#include "baudparse.h"
#include "termios.h"

const std::list<BaudRate> BaudRate::baud_settings{
    {"50", 50, B50},
    {"75", 75, B75},
    {"110", 110, B110},
    {"134", 134, B134},
    {"150", 150, B150},
    {"200", 200, B200},
    {"300", 300, B300},
    {"600", 600, B600},
    {"1200", 1200, B1200},
    {"1800", 1800, B1800},
    {"2400", 2400, B2400},
    {"4800", 4800, B4800},
    {"9600", 9600, B9600},
    {"19200", 19200, B19200},
    {"38400", 38400, B38400},
    {"57600", 57600, B57600},
    {"115200", 115200, B115200},
    {"230400", 230400, B230400},
    {"460800", 460800, B460800},
    {"500000", 500000, B500000},
    {"576000", 576000, B576000},
    {"921600", 921600, B921600},
    {"1000000", 1000000, B1000000},
    {"1152000", 1152000, B1152000},
    {"1500000", 1500000, B1500000},
    {"2000000", 2000000, B2000000},
    {"2500000", 2500000, B2500000},
    {"3000000", 3000000, B3000000},
    {"3500000", 3500000, B3500000},
    {"4000000", 4000000, B4000000},
};

BaudRate BaudRate::find_setting(std::string str) {
	for (auto setting : baud_settings) {
		if (setting.str == str)
			return setting;
	}
	return {0, 0, 0};
}
